package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.PrecoApanhe;

public class RenderPrecoApanhe implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        PrecoApanhe precoApanhe = (PrecoApanhe) o;

        Listcell lc = new Listcell(precoApanhe.getPrecoapanheId().toString());
        lc.setParent(lstm);

        lc = new Listcell(precoApanhe.getHotel() != null ? precoApanhe.getHotel().getDeschotel() : "");
        lc.setParent(lstm);

        lc = new Listcell(precoApanhe.getCiudad() != null ? precoApanhe.getCiudad().getNombciudad() : "");
        lc.setParent(lstm);
        
        lc = new Listcell(precoApanhe.getColonia() != null ? precoApanhe.getColonia().getDesccolonia() : "");
        lc.setParent(lstm);

        lc = new Listcell(precoApanhe.getPreco().toString());
        lc.setParent(lstm);

        lstm.setAttribute("data", precoApanhe);
    }
}
